Bug 170883 - Add an external libwebrtc encoder factory in WebCore
Summary: Add an external libwebrtc encoder factory in WebCore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media Elements (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-15 22:36 PDT by youenn fablet
Modified: 2017-04-17 08:01 PDT (History)
4 users (show)

See Also:


Attachments
Patch (18.39 KB, patch)
2017-04-15 22:58 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-elcapitan (974.73 KB, application/zip)
2017-04-16 00:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (1.26 MB, application/zip)
2017-04-16 00:28 PDT, Build Bot
no flags Details
Patch (20.98 KB, patch)
2017-04-16 14:31 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (18.64 KB, patch)
2017-04-16 15:59 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2017-04-15 22:36:51 PDT
This will allow plug-in whatwever encoders are deemed useful directly in WebCore
Comment 1 youenn fablet 2017-04-15 22:58:30 PDT
Created attachment 307218 [details]
Patch
Comment 2 Build Bot 2017-04-15 23:00:43 PDT
Attachment 307218 [details] did not pass style-queue:


ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:23:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:31:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.cpp:63:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:11:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:13:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:14:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:38:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:51:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:51:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:55:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:168:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:168:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:186:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 15 in 12 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2017-04-16 00:15:24 PDT
Comment on attachment 307218 [details]
Patch

Attachment 307218 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3544135

New failing tests:
webrtc/captureCanvas-webrtc.html
Comment 4 Build Bot 2017-04-16 00:15:25 PDT
Created attachment 307221 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 5 Build Bot 2017-04-16 00:28:34 PDT
Comment on attachment 307218 [details]
Patch

Attachment 307218 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3544160

New failing tests:
webrtc/video.html
webrtc/libwebrtc/descriptionGetters.html
webrtc/captureCanvas-webrtc.html
webrtc/ephemeral-certificates-and-cnames.html
Comment 6 Build Bot 2017-04-16 00:28:35 PDT
Created attachment 307222 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 7 youenn fablet 2017-04-16 14:31:33 PDT
Created attachment 307240 [details]
Patch
Comment 8 Build Bot 2017-04-16 14:33:42 PDT
Attachment 307240 [details] did not pass style-queue:


ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:23:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:31:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:33:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/mediastream/libwebrtc/VideoToolBoxEncoderFactory.h:42:  supported_codecs is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.cpp:63:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:12:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:15:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:16:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:38:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:51:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:51:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:55:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:168:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:168:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:186:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 17 in 13 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 youenn fablet 2017-04-16 15:59:59 PDT
Created attachment 307245 [details]
Patch
Comment 10 Build Bot 2017-04-16 16:01:59 PDT
Attachment 307245 [details] did not pass style-queue:


ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:23:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:32:  The parameter name "codec" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/sdk/objc/Framework/Classes/videotoolboxvideocodecfactory.h:32:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.cpp:63:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:12:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:15:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/ChangeLog:16:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:38:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:51:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:51:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_decoder.h:55:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:168:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:168:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/video_encoder.h:186:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 16 in 12 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 WebKit Commit Bot 2017-04-17 08:01:36 PDT
Comment on attachment 307245 [details]
Patch

Clearing flags on attachment: 307245

Committed r215411: <http://trac.webkit.org/changeset/215411>
Comment 12 WebKit Commit Bot 2017-04-17 08:01:37 PDT
All reviewed patches have been landed.  Closing bug.